Bug 220558 - Switching to a dynamic playlist should clear the playlist sorting configuration
Summary: Switching to a dynamic playlist should clear the playlist sorting configuration
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.3-GIT
Platform: Gentoo Packages Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-29 18:22 UTC by Oliver
Modified: 2012-05-05 20:43 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver 2009-12-29 18:22:20 UTC
Version:            (using KDE 4.3.3)
Compiler:          gcc (Gentoo 4.3.4 p1.0, pie-10.1.5) 4.3.4 
OS:                Linux
Installed from:    Gentoo Packages

Amarok should clear the playlist sorting configuration when switching to a dynamic playlist. 

Otherwise new songs might be added _before_ the currently playing song. I tried it with an alphabetically sorted playlist and after it finished the last song (artist starting with "Z") Amarok stopped playing.

The playlist contained several songs that were not played.

I also noticed that one of the played songs appeared 9 times in the playlist.
Comment 1 Myriam Schweingruber 2010-01-04 13:54:16 UTC
Changing element, since it is about playlist sorting.
Comment 2 Ravi Arora 2011-04-16 07:42:11 UTC
I also think that this is a small but needed change. Why not keep this as an option in config dialog.
Comment 3 Matěj Laitl 2012-05-05 20:17:13 UTC
This is not a wish, but a bug.
Comment 4 Matěj Laitl 2012-05-05 20:43:27 UTC
Git commit 065fd08c501293ecd80f19da33545a82392790a5 by Matěj Laitl.
Committed on 05/05/2012 at 22:28.
Pushed by laitl into branch 'master'.

PlaylistActions: when enabling dynamic, clear sorting and populate

BUGFIXES:
 * When turning dynamic playlist on, immediately populate playlist and clear
   any possible playlist sorting.
FIXED-IN: 2.6

M  +2    -0    ChangeLog
M  +10   -6    src/playlist/PlaylistActions.cpp

http://commits.kde.org/amarok/065fd08c501293ecd80f19da33545a82392790a5